#ifndef FX_SCANNER_H
#define FX_SCANNER_H
#include <Adafruit_NeoPixel.h>
#include <math.h>
#include "effect.h"

class FX_Scanner : public Effect
{
  public:
    FX_Scanner(int numpixels,Adafruit_NeoPixel *strip,uint8_t *height,int startpos,float scannervel,uint32_t scannercolor);
    FX_Scanner();
    void updateRoutine(float updatedelayms);
    void updateGraphics();
    uint32_t Wheel(byte WheelPos,float brightness);
    bool active();
  private:
    int _numpixels;
    Adafruit_NeoPixel *_strip;
    float _pos;
    float _vel;
    uint8_t *_height;
    uint32_t _scannercolor;
};

#endif


